# Prerequisites

## Prerequisites

To begin using Speedboat, you will need to do 3 things:

1. [Get a MetaMask wallet](#getting-set-up-with-metamask)
2. [Add the Polygon Network to your MetaMask](#adding-the-polygon-network-to-your-metamask-wallet)
3. [Obtain MATIC to pay for gas fees](#obtaining-matic)

### Getting Set Up with MetaMask

MetaMask is a Web 3.0 wallet and the "gateway to blockchain apps". You will need one to use Speedboat as we currently only support MetaMask.&#x20;

* You can download the MetaMask Chrome Extension by visiting their website: <https://metamask.io/>
* Once you have downloaded MetaMask, you will be asked to create a wallet
* Once you have put in a password, you will be shown a seed phrase.
  * **Write this down and store it somewhere secure, preferably offline.**

{% hint style="danger" %}
***NEVER SHARE YOUR SEED PHRASE WITH ANYONE***
{% endhint %}

* To learn more about the importance of your seed phrase, visit: <https://metamask.zendesk.com/hc/en-us/articles/4404722782107-User-guide-Secret-Recovery-Phrase-password-and-private-keys>
* To learn more about MetaMask in general, please visit: <https://metamask.zendesk.com/hc/en-us>

### Adding the Polygon Network to your MetaMask Wallet

Polygon is an L2 network, a protocol and framework built on top of an existing blockchain network. In this instance, Polygon is built on top of Ethereum. It offers faster transaction speeds and lower transaction costs. Speedboat V1 is currently only available on Polygon, you can learn more about the Polygon Network here: <https://polygon.technology/>

There are 2 ways to add the Polygon Network to your Metamask wallet:

1. Using <https://polygonscan.com/>
2. Adding the network manually

#### Using <https://polygonscan.com/>

* Go to <https://polygonscan.com/>
* Scroll down to the bottom and click on Add Polygon Network

![](/files/s4W3Xv6sAlq4aElFMRuy)

* You will receive a MetaMask notification. Click on Approve and the network will be added to your wallet. You will also be switched to the network

![](/files/FNVFwKIVUdBWgubvhixP)

#### Adding the Network Manually

* Click on the Metamask Extension on your browser&#x20;
* Click on the Network Selection dropdown menu
* Click on Custom RPC

![](/files/Ct4f7F8wL6xnUTA2VBU7)

* A form will open up for you to fill
* In the Network Name field, enter `Polygon Mainnet`
* In the New RPC URL field, enter `https://polygon-rpc.com/`
* In the Chain ID field, enter `137`
* In the Currency Symbol field, enter `MATIC`
* In the Block Explorer URL field, enter `https://polygonscan.com/`

![](/files/BoPX7cWRkGZM0knJGQS5)

{% hint style="info" %}
**You have now successfully added the Polygon Network to your wallet!**&#x20;
{% endhint %}

If you are experiencing any problems, please visit: <https://docs.polygon.technology/docs/develop/metamask/config-polygon-on-metamask/>

### Obtaining MATIC

MATIC is the Polygon Network's native currency. It is used to pay for transaction fees on the network, staking, and governance. There are a few ways to obtain MATIC

1. Purchase it on a centralized exchange like Binance, Coinbase, Huobi, Bitkub, or KuCoin and then transfer it to your Metamask wallet
2. If you've been on other networks such as Ethereum, BSC, or Fantom, you can bridge some tokens over with the [Synapse Bridge](https://synapseprotocol.com/?inputCurrency=USDC\&outputCurrency=MIM\&outputChain=42161).&#x20;
   1. When you bridge your assets over using Synapse, they will provide you with some tokens to pay for gas
   2. You can then swap your bridged assets into MATIC
3. You can try asking the team nicely on our [Discord server](https://discord.gg/y7TQbtEWSV) 😊


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.speedboat.studio/speedboat-v1/tutorial/deploying-your-generative-nfts-on-speedboat/prerequisites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
